package com.link.base.autorefresh.thread;

import com.link.base.autorefresh.util.AutoRefreshCacheUtil;
import com.link.core.cllog.LCLogger;
import com.link.core.util.CoreRedisGenUtils;
import java.lang.reflect.Method;

public class AutoRefreshCacheThread implements Runnable {
   private static final String CHANGE_DATA_CACHE_KEY_PREFIX = "dataChangeCacheFlag_";
   private Object invokeClass;
   private Method invokeMethod;
   private Object[] params;

   public AutoRefreshCacheThread(Object invokeClass, Method invokeMethod, Object[] params) {
      this.invokeClass = invokeClass;
      this.invokeMethod = invokeMethod;
      this.params = params;
   }

   public void run() {
      String className = this.invokeClass.getClass().getSimpleName();
      className = className.substring(0, className.indexOf("$$"));
      String redisKey = null;

      try {
         redisKey = CoreRedisGenUtils.genRedisKey("{dataChangeCacheFlag_%s_%s}", new String[]{className, this.invokeMethod.getName()});
      } catch (Exception var6) {
         Exception e = var6;
         e.printStackTrace();
      }

      boolean canRefresh = AutoRefreshCacheUtil.canExecRefreshLua(redisKey);
      if (canRefresh) {
         try {
            this.invokeMethod.invoke(this.invokeClass, this.params);
         } catch (Exception var5) {
            Exception e = var5;
            e.printStackTrace();
            LCLogger.error().withMessage(e.getMessage()).flush();
         }
      }

   }
}
